package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 医生免费咨询排班
 */
@Table(name = "doctor_free_consult_schedule")
@Entity
public class DoctorFreeConsultSchedule implements Serializable {
    /**
     * 主键
     */
    @Id
    @Column(name = "id", insertable = false, nullable = false)
    private Integer id;

    /**
     * 医生 id
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 医生姓名
     */
    @Column(name = "doctor_name", nullable = false)
    private String doctorName;

    /**
     * 医院IDs，对应doctor表的hospital_ids字段
     */
    @Column(name = "hospital_ids")
    private String hospitalIds;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 是否删除
     */
    @Column(name = "deleted", nullable = false)
    private Integer deleted = 0;

    /**
     * 权重，数值越大排名越考前
     */
    @Column(name = "weight", nullable = false)
    private Integer weight = 0;

    /**
     * 星期一，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "monday", nullable = false)
    private Integer monday = 0;

    /**
     * 星期二，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "tuesday", nullable = false)
    private Integer tuesday = 0;

    /**
     * 星期三，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "wednesday", nullable = false)
    private Integer wednesday = 0;

    /**
     * 星期四，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "thursday", nullable = false)
    private Integer thursday = 0;

    /**
     * 星期五，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "friday", nullable = false)
    private Integer friday = 0;

    /**
     * 星期六，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "saturday", nullable = false)
    private Integer saturday = 0;

    /**
     * 星期日，0-不出诊， 1-本周出诊，2-每周出诊
     */
    @Column(name = "sunday", nullable = false)
    private Integer sunday = 0;

    /**
     * 前端显示所对应的termianl_ids
     */
    @Column(name = "display_terminal_ids")
    private String displayTerminalIds;

    /**
     * 添加的医院
     */
    @Column(name = "add_hospital")
    private Integer addHospital;

    /**
     * todo：互联网医院v4.5.7（新冠线上门诊）新增咨询费用
     * 咨询费用，单位：分
     */
    @Column(name = "consult_fee", nullable = false)
    private Integer consultFee = 0;

    /**
     * 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 医生 id
     */
    public Integer getDoctorId() {
        return doctorId;
    }

    /**
     * 医生 id
     */
    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    /**
     * 医生姓名
     */
    public String getDoctorName() {
        return doctorName;
    }

    /**
     * 医生姓名
     */
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    /**
     * 医院IDs，对应doctor表的hospital_ids字段
     */
    public String getHospitalIds() {
        return hospitalIds;
    }

    /**
     * 医院IDs，对应doctor表的hospital_ids字段
     */
    public void setHospitalIds(String hospitalIds) {
        this.hospitalIds = hospitalIds;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 是否删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 是否删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 权重，数值越大排名越考前
     */
    public Integer getWeight() {
        return weight;
    }

    /**
     * 权重，数值越大排名越考前
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    /**
     * 星期一，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public Integer getMonday() {
        return monday;
    }

    /**
     * 星期一，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public void setMonday(Integer monday) {
        this.monday = monday;
    }

    /**
     * 星期二，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public Integer getTuesday() {
        return tuesday;
    }

    /**
     * 星期二，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public void setTuesday(Integer tuesday) {
        this.tuesday = tuesday;
    }

    /**
     * 星期三，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public Integer getWednesday() {
        return wednesday;
    }

    /**
     * 星期三，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public void setWednesday(Integer wednesday) {
        this.wednesday = wednesday;
    }

    /**
     * 星期四，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public Integer getThursday() {
        return thursday;
    }

    /**
     * 星期四，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public void setThursday(Integer thursday) {
        this.thursday = thursday;
    }

    /**
     * 星期五，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public Integer getFriday() {
        return friday;
    }

    /**
     * 星期五，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public void setFriday(Integer friday) {
        this.friday = friday;
    }

    /**
     * 星期六，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public Integer getSaturday() {
        return saturday;
    }

    /**
     * 星期六，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public void setSaturday(Integer saturday) {
        this.saturday = saturday;
    }

    /**
     * 星期日，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public Integer getSunday() {
        return sunday;
    }

    /**
     * 星期日，0-不出诊， 1-本周出诊，2-每周出诊
     */
    public void setSunday(Integer sunday) {
        this.sunday = sunday;
    }

    /**
     * 前端显示所对应的termianl_ids
     */
    public String getDisplayTerminalIds() {
        return displayTerminalIds;
    }

    /**
     * 前端显示所对应的termianl_ids
     */
    public void setDisplayTerminalIds(String displayTerminalIds) {
        this.displayTerminalIds = displayTerminalIds;
    }

    /**
     * 添加的医院
     */
    public Integer getAddHospital() {
        return addHospital;
    }

    /**
     * 添加的医院
     */
    public void setAddHospital(Integer addHospital) {
        this.addHospital = addHospital;
    }

    /**
     * todo：互联网医院v4.5.7（新冠线上门诊）新增咨询费用
     * 咨询费用，单位：分
     */
    public Integer getConsultFee() {
        return consultFee;
    }

    /**
     * todo：互联网医院v4.5.7（新冠线上门诊）新增咨询费用
     * 咨询费用，单位：分
     */
    public void setConsultFee(Integer consultFee) {
        this.consultFee = consultFee;
    }

    public String toString() {
        return "DoctorFreeConsultSchedule{id=" + id +
                ", doctorId=" + doctorId +
                ", doctorName=" + doctorName +
                ", hospitalIds=" + hospitalIds +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleted=" + deleted +
                ", weight=" + weight +
                ", monday=" + monday +
                ", tuesday=" + tuesday +
                ", wednesday=" + wednesday +
                ", thursday=" + thursday +
                ", friday=" + friday +
                ", saturday=" + saturday +
                ", sunday=" + sunday +
                ", displayTerminalIds=" + displayTerminalIds +
                ", addHospital=" + addHospital +
                ", consultFee=" + consultFee +
                "}";
    }
}